/*!
 * @file movie_entity.h
 *  Definition of a Movie Screen
 */

#ifndef _MOVIE_ENTITY_H
#define _MOVIE_ENTITY_H

#include "world_entity.h"
#include "comincl.h"
#include "resource_manager.h"


class MediaContainer;
class Model;
class Material;
class FastFactory;


//! Basic class from which all interactive stuff in the world is derived from
class MovieEntity : public WorldEntity
{
  private:
    MediaContainer*                   media_container;
    Model*                            model;
    Material*                         material;

    static FastFactory*               fastFactory;

    int counter;
    float timer;
    float fps;

  public:
    MovieEntity (const TiXmlElement* root = NULL);
    ~MovieEntity ();

    virtual void draw () const;
    virtual void tick (float time);
    void loadParams(const TiXmlElement* root);
    void loadMovie(const char* filename);



};

#endif /* _MOVIE_ENTITY_H */